Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Delete Talent Pool Group DELETEGet Talent Pool Group Details GETUpdate Talent Pool Group PUTRemove Provider from Talent Pool Group DELETEList Providers in Talent Pool Group GETList Talent Pool Groups GETCreate Talent Pool Group POST
PeopleTalent pool groups

Update Talent Pool Group


Update a specific talent pool group and its associated talent pools.

PUT
/api/rest/v2/talent-pool-groups/{group_uuid}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

group_uuid*string

Talent Pool Group UUID

Request Body

application/json

Updated talent pool group details

name*string

Name of the talent pool group

project_id*number

Project ID associated with this talent pool group

display_name?string

Display name of the talent pool group

attributes?array<>

Array of attributes for this talent pool group (upserted on create/update)

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/talent-pool-groups/string_value" \  -H "Content-Type: application/json" \  -d '{    "name": "Northeast Region Technicians",    "project_id": 17705,    "display_name": "NE Techs",    "attributes": [      {        "name": "certification_level",        "value": "expert"      }    ]  }'
{
  "talent_pool_group_id": "b79c17e2-9f43-4b21-a5a1-586f6e35135d",
  "name": "Test Service teritory Project 6",
  "project_id": 17705,
  "display_name": "Display Minneapolis East",
  "tiers": [],
  "attributes": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Get Talent Pool Group Details GET

Previous Page

Remove Provider from Talent Pool Group DELETE

Next Page

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/talent-pool-groups/string_value" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Northeast Region Technicians",
    "project_id": 17705,
    "display_name": "NE Techs",
    "attributes": [
      {
        "name": "certification_level",
        "value": "expert"
      }
    ]
  }'